'use strict';

const assert = require('assert');
const chai = require('chai')

//Set global variables
global.assert = assert;
global.chai = chai;
global.expect = chai.expect;


if(!global.document) {
  global.document = {
    write: function(){
      const args = Array.prototype.slice.call(arguments);
      if(typeof(global.document.write.callback) === 'function') {
        global.document.write.callback.apply(this, args);
      }
    },
    writeln: function(){
      const args = Array.prototype.slice.call(arguments);
      if(typeof(global.document.writeln.callback) === 'function') {
        global.document.writeln.callback.apply(this, args);
      }
    },
  };
}
