'use strict';

const resources = {};

module.exports = {
  add: function(key, hosts) {
    resources[key] = hosts;
    return module.exports;
  },
  collection: function(obj) {
    Object.assign(resources, obj);
  },
  all: function() {
    return resources;
  },
  get: function(key) {
    if(resources[key]) {
      return {
        exist: true,
        key: key,
        domain: resources[key],
      };
    }

    return {
      exist: false,
      key: key,
      domain: void(0)
    };
  }
}
