'use strict';

const resources = {};

module.exports = {
  add: function(environmentKey, hosts) {
    resources[environmentKey] = hosts;
    return module.exports;
  },
  all: function() {
    return resources;
  },
  defaultEnviroment: null,
  get: function(host) {
    for (let key in resources) {
      if(resources.hasOwnProperty(key) && resources[key].indexOf(host) > -1) {
        return {
          exist: true,
          env: key
        };
      }
    }
    return {
      exist: false,
      env: void(0)
    };
  },

}
